Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


# Tests disabled due to missing npm(acorn-6to5)
%global enable_tests 0

Name:           nodejs-escodegen
Version:        1.9.0
Release:        alt1_4
Summary:        ECMAScript code generator
License:        BSD
URL:            https://github.com/Constellation/escodegen
Source0:        https://registry.npmjs.org/escodegen/-/escodegen-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
BuildRequires:  npm(estraverse)
BuildRequires:  npm(esutils)
BuildRequires:  npm(source-map)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%nodejs_fixdep esprima
%nodejs_fixdep estraverse
%nodejs_fixdep source-map "^0.5.2"
rm -f *.min.js

# fix script interpreter
sed -i '1s/env //' bin/*.js

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen
cp -pr package.json escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen

mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen/bin
install -p -D -m0755 bin/escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/escodegen.js
install -p -D -m0755 bin/esgenerate.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/esgenerate.js

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/escodegen/bin/escodegen.js \
    %{buildroot}%{_bindir}/escodegen.js
ln -sf %{nodejs_sitelib}/escodegen/bin/esgenerate.js \
    %{buildroot}%{_bindir}/esgenerate.js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/mocha --reporter spec --timeout 30000
%endif


%files
%{!?_licensedir:%global license %doc}
%doc --no-dereference LICENSE.BSD LICENSE.source-map
%{nodejs_sitelib}/escodegen
%{_bindir}/escodegen.js
%{_bindir}/esgenerate.js


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.9.0-alt1_4
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.23-alt1_2
- fc import

* Sun Jul 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.23-alt1_1
- fc import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.22-alt1_2
- initial import

